Subject: bug#13402: 24.2.92 pretest: bugs in isearch-yank-line in info page

From: Alan Mackenzie <[email-masked]>
Date: Wed, 13 Feb 2013 09:47:24 +0000

Hello, Juri.

On Fri, Jan 11, 2013 at 02:43:16AM +0200, Juri Linkov wrote:
> > C-u C-h i
> > Enter path/to/elisp.info <CR>
> > g Syntax Table Internals

> > 1. Place point at the start of the first paragraph ("Syntax tables are
> > implemented ...").  Attempt C-s M-s C-e (isearch-yank-line).  This
> > produces the error message:

> > Failing I-search: syntax tables are implemented as char-tables (*note char-tables::), but [end of node]

> Info hides the text "*note Char-Tables::" and uses the text property `display'
> to put another text "(see Char-Tables)" instead.  Some users complained
> when isearch-yank-line yanked invisible text "*note", so now it ignores
> invisible text.  But it seems ignoring invisible text is worse than yanking.
> So perhaps `Info-isearch-filter' shouldn't skip invisible text.

I think it should either skip it properly, or not at all.  There is an
inconsistency here between parts of isearch.  C-s C-w also produces
these error messages, and the "[end of node]" is just wierd, from a
user's point of view.

I think this should be fixed, somehow, for Emacs 24.3.  I would agree
with your suggestion that isearch should simply yank the invisible text.

-- 
Alan Mackenzie (Nuremberg, Germany).